Bug 13796 - Error Reading Formula Record (optimized if, external link)
Summary: Error Reading Formula Record (optimized if, external link)
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSSF (show other bugs)
Version: unspecified
Hardware: PC All
: P3 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-10-20 17:51 UTC by Michael Tosdevin
Modified: 2005-03-20 17:06 UTC (History)
0 users



Attachments
Example workbook causing the problem (47.50 KB, application/vnd.ms-excel)
2002-10-26 07:17 UTC, Michael Tosdevin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Tosdevin 2002-10-20 17:51:24 UTC
Using the EventFactory approach to read an Excel workbook I get an error when 
processing a FormulaRecord. A similar error is reported by EFBiffViewer as seen 
below:

Exception in thread "main" java.lang.NullPointerException
        at org.apache.poi.hssf.record.FormulaRecord.toString(FormulaRecord.java:
548)
        at org.apache.poi.hssf.dev.EFBiffViewer$1.processRecord(EFBiffViewer.jav
a:93)
        at org.apache.poi.hssf.eventmodel.HSSFRequest.processRecord(HSSFRequest.
java:173)
        at org.apache.poi.hssf.eventmodel.HSSFEventFactory.genericProcessEvents(
HSSFEventFactory.java:208)
        at org.apache.poi.hssf.eventmodel.HSSFEventFactory.processEvents(HSSFEve
ntFactory.java:139)
        at org.apache.poi.hssf.dev.EFBiffViewer.run(EFBiffViewer.java:98)
        at org.apache.poi.hssf.dev.EFBiffViewer.main(EFBiffViewer.java:115)

The workbook has a reference to an external workbook at the point which I think 
is causing the problem. I have the workbook which I can forward if this would 
be useful.
Comment 1 Andy Oliver 2002-10-20 20:22:21 UTC
please click create a new attachment and attach the worksheet to this bug.
Comment 2 Michael Tosdevin 2002-10-26 07:17:28 UTC
Created attachment 3614 [details]
Example workbook causing the problem
Comment 3 Andy Oliver 2002-10-26 09:08:56 UTC
optimized if, external link.  (notes for developers and myself)
Comment 4 Avik Sengupta 2003-07-31 19:56:32 UTC
Fixed in 2.0pre3. 

Comitting the excel file as a testcase.